#
# Conditional build:
%bcond_without	tests		# unit tests

Summary:	Tool for managing your YubiKey configuration
Summary(pl.UTF-8):	Narzędzie do zarządzania urządzeniami YubiKey
Name:		yubikey-manager
# versions 5.1+ use poetry buildsystem
Version:	5.6.1
Release:	1
License:	BSD
Group:		Applications/System
Source0:	https://developers.yubico.com/yubikey-manager/Releases/yubikey_manager-%{version}.tar.gz
# Source0-md5:	d65c2f07716924eec336fad64bccbf96
URL:		https://developers.yubico.com/yubikey-manager/
BuildRequires:	python3-build
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.8
BuildRequires:	python3-poetry-core >= 2.0
BuildRequires:	rpmbuild(macros) >= 2.044
%if %{with tests}
BuildRequires:	python3-click >= 8.0
BuildRequires:	python3-click < 9
BuildRequires:	python3-cryptography >= 3.0
BuildRequires:	python3-cryptography < 47
BuildRequires:	python3-fido2 >= 1.0
BuildRequires:	python3-fido2 < 2
BuildRequires:	python3-keyring >= 23.4
BuildRequires:	python3-keyring < 26
BuildRequires:	python3-makefun >= 1.9.5
BuildRequires:	python3-pyscard >= 2.0
BuildRequires:	python3-pyscard < 3
BuildRequires:	python3-pytest >= 7.2
%endif
Requires:	python3-modules >= 1:3.8
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python library and command line tool for configuring a YubiKey.

%description -l pl.UTF-8
Pythonowa biblioteka i narzędzie linii poleceń do konfiguracji
urządzeń YubiKey.

%prep
%setup -q -n yubikey_manager-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.adoc
%attr(755,root,root) %{_bindir}/ykman
%{py3_sitescriptdir}/ykman
%{py3_sitescriptdir}/yubikit
%{py3_sitescriptdir}/yubikey_manager-%{version}.dist-info
%changelog
* Fri Mar 21 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yubikey-manager.git;a=log;h=master

* Fri Mar 21 2025 Jan Palus <atler@pld-linux.org> 2ff05f4
- up to 5.6.1

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 4f12170
- python 3.13 rebuild

* Sun Feb 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 7d89218
- updated tests running and dependencies

* Wed Jan 18 2023 Jan Palus <atler@pld-linux.org> 848b43c
- up to 5.0.1

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> e0148ef
- macros for %py3_build

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> 6ebcd99
- up to 5.0.0

* Mon Sep 26 2022 Jan Palus <atler@pld-linux.org> 6f441f8
- up to 4.0.9

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9f0c2f5
- Release 5 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 28e5477
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> a01c394
- rebuild with python 3.10

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> bb5432e
- Release 2 (by relup.sh)

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> 228c7ab
- up to 4.0.8

* Thu Sep 09 2021 Jan Palus <atler@pld-linux.org> dd83550
- up to 4.0.7

* Sun Jul 18 2021 Jan Palus <atler@pld-linux.org> a04edac
- up to 4.0.5

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> 1b316f4
- fix pl description

* Tue May 18 2021 Jan Palus <atler@pld-linux.org> d232708
- up to 4.0.3

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 1b61d76
- up to 4.0.2

* Tue Mar 30 2021 Jan Palus <atler@pld-linux.org> dfa263e
- up to 4.0.1

* Wed Mar 03 2021 Jan Palus <atler@pld-linux.org> bc0fe9e
- up to 4.0.0

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 220cf32
- release 2 (by relup.sh)

